Bug 68597 - 188072 kb virtual memory is not enough for anaconda.
188072 kb virtual memory is not enough for anaconda.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-07-11 11:16 EDT by Eugene Kanter
Modified: 2007-04-18 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-27 11:49:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2002-07-11 11:16:15 EDT
Description of Problem:

188072 kb virtual memory is not enough for anaconda.

System is Compaq deskpro 6000, 64Meg of RAM, 4G disk, 125928kB SWAP, manual
partitioning, workstation install, selected all but games.

Install got stuck at kamera-3.0.1. CTRL_ALT_F2, ps, found tree python processes
(normally two?) killed the last one (115) and install continued to the end.

Then during about 40% of "Performing post install configuration" got a traceback
dialog. Clicked on "save to floppy" and OK on next dialog. Floppy light came on.
CTRL_ALT_F2, mdir says cannot initialize A:. I think before tracebacks were
saved to MSDOS formatted disk? So I got another disk and pressed on "save to
floppy" again. NOTHING happened. All three buttons have no effect.

Here is traceback by hand:
gui:682
progress_gui:148
gui:549
dispatch:149
dispatch:214
packages:754
pcmcia:42
pcmcia:28
iutil:125
childpid = os.fork
OSError: [Errno 12] Cannot allocate memory
Comment 1 Eugene Kanter 2002-07-12 11:36:06 EDT
I let anaconda partition the disk which resulted in 192Meg swap and 256Meg total
virtual memory. Installation completed with one minor defect: the very last
"Quit" button had no effect - I had to kill anaconda by hand.
Comment 2 Michael Fulbright 2002-07-17 17:07:41 EDT
The Exit button issue is resolved.

Will have to look into what uses so much RAM in post-install.
Comment 3 Eugene Kanter 2002-07-17 17:40:47 EDT
What about saving tracebacks on floppy? What format does it use and why second
attempt produced no output to a floppy?
Comment 4 Jeremy Katz 2002-07-17 23:53:37 EDT
If we're unable to allocate memory, then writing tracebacks to floppy is
entirely likely to fail.  Trying a low-memory install now.
Comment 5 Jeremy Katz 2002-07-18 02:12:27 EDT
I just did an install with 64 megs of ram and 128 megs of swap without any
problems.  There have been a few changes to the package set and the like,
though, which I would guess help this situation a lot.
Comment 6 Eugene Kanter 2002-07-18 12:38:19 EDT
Do you know/can take measurements what is the memory consumption peak during
default installation? What would happen on a system with 32 Meg for example?
Comment 7 Jay Turner 2003-01-27 11:49:30 EST
Was able to complete a 64M/128M GUI installation using the re0127.nightly tree
without any problems.  32M installations force TUI mode, so there's no problem
there either.

Note You need to log in before you can comment on or make changes to this bug.